SecurityDesc.RequestedPermissionLevel (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.SecurityDesc.RequestedPermissionLevel class
Date: 2017-09-13

net.sourceforge.jnlp

## Enum SecurityDesc.RequestedPermissionLevel

- java.lang.Object
- - java.lang.Enum<SecurityDesc.RequestedPermissionLevel>
  - - net.sourceforge.jnlp.SecurityDesc.RequestedPermissionLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SecurityDesc.RequestedPermissionLevel>
  Enclosing class:
    SecurityDesc

      public static enum SecurityDesc.RequestedPermissionLevel
      extends java.lang.Enum<SecurityDesc.RequestedPermissionLevel>

  Represents the security level requested by an applet/application, as specified in its JNLP or HTML.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `DEFAULT`
    `J2EE`
    `NONE`
    `SANDBOX`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PERMISSIONS_NAME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityDesc.RequestedPermissionLevel` | `fromHtmlString(java.lang.String htmlString)` The HTML permission level corresponding to the given String.
    `SecurityDesc.RequestedPermissionLevel` | `fromJnlpString(java.lang.String jnlpString)` The JNLP permission level corresponding to the given String.
    `java.lang.String` | `toHtmlString()` This permission level, as it would appear requested in an HTML file.
    `java.lang.String` | `toJnlpString()` This permission level, as it would appear requested in a JNLP file.
    `static SecurityDesc.RequestedPermissionLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SecurityDesc.RequestedPermissionLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SecurityDesc.RequestedPermissionLevel NONE

    - #### DEFAULT

          public static final SecurityDesc.RequestedPermissionLevel DEFAULT

    - #### SANDBOX

          public static final SecurityDesc.RequestedPermissionLevel SANDBOX

    - #### J2EE

          public static final SecurityDesc.RequestedPermissionLevel J2EE

    - #### ALL

          public static final SecurityDesc.RequestedPermissionLevel ALL

  - ### Field Detail

    - #### PERMISSIONS_NAME

          public static final java.lang.String PERMISSIONS_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static SecurityDesc.RequestedPermissionLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SecurityDesc.RequestedPermissionLevel c : SecurityDesc.RequestedPermissionLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SecurityDesc.RequestedPermissionLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toJnlpString

          public java.lang.String toJnlpString()

      This permission level, as it would appear requested in a JNLP file. null if this level is NONE (unspecified) or cannot be requested in a JNLP file.
      Returns:
        the String level

    - #### toHtmlString

          public java.lang.String toHtmlString()

      This permission level, as it would appear requested in an HTML file. null if this level is NONE (unspecified) or cannot be requested in an HTML file.
      Returns:
        the String level

    - #### fromJnlpString

          public SecurityDesc.RequestedPermissionLevel fromJnlpString(java.lang.String jnlpString)

      The JNLP permission level corresponding to the given String. If null is given, null comes back. If there is no permission level that can be granted in JNLP matching the given String, null is also returned.
      Parameters:
        `jnlpString` - the JNLP permission String
      Returns:
        the matching RequestedPermissionLevel

    - #### fromHtmlString

          public SecurityDesc.RequestedPermissionLevel fromHtmlString(java.lang.String htmlString)

      The HTML permission level corresponding to the given String. If null is given, null comes back. If there is no permission level that can be granted in HTML matching the given String, null is also returned.
      Parameters:
        `htmlString` - the JNLP permission String
      Returns:
        the matching RequestedPermissionLevel

Submit a bug or feature